﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Twitterizer;
using WebApplication1.Code;

namespace WebApplication1
{
    public partial class Authorize : System.Web.UI.Page
    {
        /// <summary>
        /// Gets a value indicating whether this instance is twitter callback.
        /// </summary>
        /// <value>
        /// <c>true</c> if this instance is twitter callback; otherwise, <c>false</c>.
        /// </value>
        public bool IsTwitterCallback
        {
            get
            {
                bool isCallback = false;
                if (Request.QueryString["isCallback"] != null)
                    bool.TryParse(Request.QueryString["isCallback"], out isCallback);
                return isCallback;
            }
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            try
            {
                if (!IsTwitterCallback)
                {
                    // append the isCallback parameter
                    OAuthTokenResponse tokenResponse = OAuthUtility.GetRequestToken(ApplicationSettings.TwitterAPIKey, ApplicationSettings.TwitterSecretKey, Request.Url.AbsoluteUri + "?isCallback=true");
                    Uri authenticationUri = OAuthUtility.BuildAuthorizationUri(tokenResponse.Token);
                    Response.Redirect(authenticationUri.ToString());
                }
                else
                {
                    // Get access token during callback and store it in session
                    OAuthTokenResponse tokenResponse = OAuthUtility.GetAccessTokenDuringCallback(ApplicationSettings.TwitterAPIKey, ApplicationSettings.TwitterAPIKey);
                    Session["TokenKey"] = tokenResponse.Token;
                    Session["TokenSecretKey"] = tokenResponse.TokenSecret;
                    // redirect back to default page
                    Response.Redirect("/Default.aspx");
                }
            }
            catch (Exception ex)
            {
               
            }
        }
    }
}