﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Configuration;

namespace WebApplication1.Code
{
    public class ApplicationSettings
    {
        private static string _twitterAPIKey = string.Empty;
        /// <summary>
        /// Gets the twitter API key.
        /// </summary>
        /// <value>
        /// The twitter API key.
        /// </value>
        public static string TwitterAPIKey
        {
            get
            {
                if (string.IsNullOrEmpty(_twitterAPIKey))
                    _twitterAPIKey = WebConfigurationManager.AppSettings["APIKey"];
                return _twitterAPIKey;
            }
        }

        private static string _twitterSecretKey = string.Empty;
        /// <summary>
        /// Gets the twitter secret key.
        /// </summary>
        /// <value>
        /// The twitter secret key.
        /// </value>
        public static string TwitterSecretKey
        {
            get
            {
                if (string.IsNullOrEmpty(_twitterSecretKey))
                    _twitterSecretKey = WebConfigurationManager.AppSettings["SecretKey"];
                return _twitterSecretKey;
            }
        }
    }
}