﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Twitterizer;
using WebApplication1.Code;

namespace WebApplication1
{
    public partial class _Default : Page
    {
        /// <summary>
        /// Gets the auth token.
        /// </summary>
        /// <returns></returns>
        private OAuthTokens GetAuthToken()
        {
            if (Session["TokenKey"] != null &&
                    Session["TokenSecretKey"] != null)
            {
                OAuthTokens authorization = new OAuthTokens();
                authorization.ConsumerKey = ApplicationSettings.TwitterAPIKey;
                authorization.ConsumerSecret = ApplicationSettings.TwitterSecretKey;
                authorization.AccessToken = Session["TokenKey"].ToString();
                authorization.AccessTokenSecret = Session["TokenSecretKey"].ToString();
                return authorization;
            }
            return null;
        }

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void btnAuthorize_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Authorize.aspx");
        }

        protected void tweet_Click(object sender, EventArgs e)
        {
            OAuthTokens authorization = this.GetAuthToken();
            if (authorization != null)
            {
                try
                {
                    var result = TwitterStatus.Update(authorization, "This is a test tweet");
                    bool isPosted = result.Result == RequestResult.Success;
                    if (isPosted)
                    {
                        // do action
                    }
                }
                catch (Exception ex)
                {
                }
            }
        }
    }
}